CALL_USERMODEHELPER_(9)

NAME
call_usermodehelper_exec - start a usermode application

SYNOPSIS

int call_usermodehelper_exec(struct subprocess_info * sub_info, int wait);

ARGUMENTS

sub_info
    information about the subprocessa

wait
    wait for the application to finish and return status. when UMH_NO_WAIT don't wait at all, but you get no useful error back when the program couldn't be exec'ed. This makes it safe to call from interrupt context.

DESCRIPTION

Runs a user-space application. The application is started asynchronously if wait is not set, and runs as a child of keventd. (ie. it runs with full root capabilities).

COPYRIGHT